description

# Location class Null safety

Implemented types
  - LocationBase
Annotations
  - @Native("Location")

## Properties

ancestorOrigins → List<String>?
  @Creates('DomStringList'), @Returns('DomStringList'), read-only
hash ↔ String
  read / write
hashCode → int
  The hash code for this object. [...]
  read-only, inherited
host ↔ String
  read / write
hostname ↔ String?
  read / write
href ↔ String
  read / write, override-setter
origin → String
  read-only
pathname ↔ String?
  read / write
port ↔ String
  read / write
protocol ↔ String
  read / write
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited
search ↔ String?
  read / write
trustedHref ↔ TrustedUrl?
  read / write

## Methods

assign([String? url]) → void
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
reload() → void
replace(String? url) → void
toString() → String
  Returns a string representation of this object.

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited